Bug 138022 - pstops not stripping PJL from files submitted from windows machines
pstops not stripping PJL from files submitted from windows machines
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-11-03 16:46 EST by Brian Jones
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Jones 2004-11-03 16:46:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Windows XP machines submit jobs via a samba server, which is
configured to talk to cups for printing. In the version of the package
before this one, pstops stripped out any PJL in the submitted file and
passed the PS on to the printer. This is no longer happening as of the
most recent upgrade to the version listed above. Depending on the
printer, the printer may "wake up", but nothing is ever printed. In
other cases, the printer does nothing. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. configure samba to use cups for printing (printcap name=cups,
2. upgrade to most recent cups rpm
3. submit job from windows host
4. Observe as the printer spins up, then goes back to sleep. 

Actual Results:  Printer spins up, then goes back to sleep. Nothing is

Expected Results:  Print job prints successfully

Additional info:

We confirmed, in the last version of cups, that pstops was doing the
right thing by stopping one of the queues, and then sending a job
there. Upon inspection of the file in the queue, one could tell things
were working as expected. Doing the same thing with this most recent
version shows that the PJL is not being stripped out, and the printers
choke on it.
Comment 1 Tim Waugh 2004-11-04 04:16:21 EST
Please confirm the last known good version-release.
Comment 2 Brian Jones 2004-11-04 08:55:03 EST
Last known good version is cups-1.1.17-13.3.13:1
Comment 3 RHEL Product and Program Management 2007-10-19 15:15:07 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.